#!/bin/bash # SPDX-License-Identifier: GPL-2.0+ # # Runs the C-language litmus tests specified on standard input, using up # to the specified number of CPUs (defaulting to all of them) and placing # the results in the specified directory (defaulting to the same place # the litmus test came from). # # sh runlitmushist.sh # # Run from the Linux kernel tools/memory-model directory. # This script uses environment variables produced by parseargs.sh. # # Copyright IBM Corporation, 2018 # # Author: Paul E. McKenney <paulmck@linux.ibm.com>
if test -d litmus then
: else echo Directory \"litmus\" missing, aborting run.
exit 1 fi
# Prefixes for per-CPU scripts for ((i=0;i<$LKMM_JOBS;i++)) do echo T=$T >> $T/$i.sh cat << '___EOF___' >> $T/$i.sh
runtest () { if scripts/runlitmus.sh $1 then if ! grep -q '^Observation ' $LKMM_DESTDIR/$1$2.out then echo' !!! Herd failed, no Observation:' $1 fi else
exitcode=$? if test "$exitcode" -eq 124 then
exitmsg="timed out" elif test "$exitcode" -eq 253 then
exitmsg= else
exitmsg="failed, exit code $exitcode" fi if test -n "$exitmsg" then echo' !!! Herd' ${exitmsg}: $1 fi fi
}
___EOF___ done
Die Informationen auf dieser Webseite wurden
nach bestem Wissen sorgfältig zusammengestellt. Es wird jedoch weder Vollständigkeit, noch Richtigkeit,
noch Qualität der bereit gestellten Informationen zugesichert.
Bemerkung:
Die farbliche Syntaxdarstellung und die Messung sind noch experimentell.